require("bufferline").setup{}

-- Настройка биндов узнать что действительно нажимается - перейти в режим вставки нажать <c-v> и потом необходимое сочетание
vim.keymap.set('n', '<A-;>', ':BufferLineCycleNext<CR>', { noremap = true, silent = true })
vim.keymap.set('n', '<A-j>', ':BufferLineCyclePrev<CR>', { noremap = true, silent = true })
vim.keymap.set('n', '<A-w>', ':bd!<CR>', { noremap = true, silent = true })
-- Настройка сочетаний клавиш для терминала
vim.keymap.set('t', '<A-;>', '<C-\\><C-N>:BufferLineCycleNext<CR>', { noremap = true, silent = true })
vim.keymap.set('t', '<A-j>', '<C-\\><C-N>:BufferLineCyclePrev<CR>', { noremap = true, silent = true })
vim.keymap.set('t', '<A-w>', '<C-\\><C-N>:bd!<CR>', { noremap = true, silent = true })
-- Добавление выхода из режима вставки в терминале
vim.keymap.set('t', '<A-i>', '<C-\\><C-N>', { noremap = true, silent = true })

local function toggle_bufferline()
  local bufferline = require("bufferline")
  local api = vim.api

  -- Получаем текущие опции Bufferline
  local options = bufferline.get_options()

  -- Переключаем значение always_show_bufferline
  options.always_show_bufferline = not options.always_show_bufferline

  -- Обновляем конфигурацию Bufferline
  bufferline.setup({ options = options })

  -- Очищаем кэш и перерисовываем интерфейс
  api.nvim_command("redraw")
end

